#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include "uart.h"

#define setbit(ADDRESS,BIT) (ADDRESS |= (1<<BIT))
#define clearbit(ADDRESS,BIT) (ADDRESS &= ~(1<<BIT))



void Initialisierung (void)  								// Ports Schnittstellen usw Initialisieren
	{
	PORTC &= ~0x1C;
	DDRC  |= 0x1C;

	OCR2 = 100;												// Timer Reload auf 155 fr Can 128
	TCCR2 = 0x0a;											// Autoreload und Prescaler CAN 128 clock 8MHz



	setbit(TIMSK,OCIE2);									// Interrupt enable Timer  CAN 128

	PORTD |= 0x0c;
	MCUCR |= 0x0a;
	GICR  |= 0xc0;

    uart_init();

	sei();													// Alle Interrupt einschalten

	}
